/*
Copyright (c) 2006 Arthur Huillet

TINS'06 entry


Input functions
*/

#define PAUSE_SCREEN 2
#define HELP_SCREEN 4
#define LOSER 8
#define WINNER 16

void main_loop();
void get_input();

void train_advance();

void pause_game();
void game_paused_screen();
void resume_game();
/*player movement*/
int go_left();
int go_right();
int go_up();
int go_down();
int is_in_bounds(unsigned int, unsigned int); //check whether the player can move
int ah_scroll_screen();

int generate_enemies();
int move_enemies();

void detonate_bombs();

enemy_t * add_enemy(enemy_t *, int, int, BITMAP *, short int);
int free_enemies(enemy_t *);
enemy_t * enemy_under_cursor(int, int);
enemy_t  * delete_enemy(enemy_t *);
#define add_bomb add_enemy
#define free_bombs free_enemies
bomb_t *bomb_near_player(int, int);
bomb_t * delete_bomb(bomb_t *);

void fire_beam();
void process_beam();

void fire_garbage();
void process_garbage();


garbage_t * add_garbage(garbage_t *, int, int);
garbage_t * delete_garbage(garbage_t *);
int free_garbage(garbage_t *);




